Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Serial

Name

### bufferUntil()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    Serial myPort;    // The serial port:
    PFont myFont;     // The display font:
    String inString;  // Input string from serial port:
    int lf = 10;      // ASCII linefeed

    void setup() {
      size(400,200);
      // Make your own font. It's fun!
      myFont = loadFont("ArialMS-18.vlw");
      textFont(myFont, 18);
      // List all the available serial ports:
      println(Serial.list());
      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);
      myPort.bufferUntil(lf);
    }

    void draw() {
      background(0);
      text("received: " + inString, 10,50);
    }

    void serialEvent(Serial p) {
      inString = (myPort.readString());
    }

Description | Sets a specific byte to buffer until before calling serialEvent().

Syntax

    serial.bufferUntil(what)

Parameters

serial | any variable of type Serial
what | int: the value to buffer until

Returns | int
Usage | Web & Application

Updated on November 22, 2008 08:39:23pm PST